Bug 732557 - Macro %makeinstall used, and not escaped in %changelog
Summary: Macro %makeinstall used, and not escaped in %changelog
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: less
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Vojtech Vitek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 22:09 UTC by Moritz Barsnick
Modified: 2015-03-04 23:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 11:13:00 UTC


Attachments (Terms of Use)

Description Moritz Barsnick 2011-08-22 22:09:31 UTC
Description of problem:
The %makeinstall isn't supposed to be used. And when naming a macro in the %changelog, it should be escaped. (Yes, technically, these are two bugs.)

Version-Release number of selected component (if applicable):
444-2.fc17

How reproducible:
always

Steps to Reproduce:
1. read SPEC file
and regarding the %changelog:
2. rpm -qp --changelog 
  
Actual results:
1. has no obvious side effects. See Fedora Packaging rule below.
2. The missing '%' in %changelog leads to this:

* Fri Aug 12 2011 Vojtech Vitek (V-Teq) <vvitek@redhat.com> - 444-2
- Fix debuginfo source files permissions
- Remove strip after
  /usr/bin/make \
        prefix=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr \
        exec_prefix=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr \
        bindir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/bin \
        sbindir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/sbin \
        sysconfdir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/etc \
        datadir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/share \
        includedir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/include \
        libdir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/lib64 \
        libexecdir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/libexec \
        localstatedir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/var \
        sharedstatedir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/var/lib \
        mandir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/share/man \
        infodir=/builddir/build/BUILDROOT/less-444-2.fc17.x86_64/usr/share/info \
  install to fix debuginfo package


Expected results:

* Fri Aug 12 2011 Vojtech Vitek (V-Teq) <vvitek@redhat.com> - 444-2
- Fix debuginfo source files permissions
- Remove strip after %makeinstall to fix debuginfo package


Additional info:
Regarding the use of %makeinstall:
http://fedoraproject.org/wiki/Packaging:Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

To be able to quote %macros in %changelog, escape them in the SPEC file:
"- Remove strip after %makeinstall to fix debuginfo package"
=>
"- Remove strip after %%makeinstall to fix debuginfo package"

Comment 1 Vojtech Vitek 2011-08-23 11:03:51 UTC
Thanks!

Will be fixed in less-444-3.fc17.


Note You need to log in before you can comment on or make changes to this bug.